Bug 174430 - sysutils/gnome-system-tools: fix build with clang
Summary: sysutils/gnome-system-tools: fix build with clang
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-14 13:10 UTC by Ruslan Makhmatkhanov
Modified: 2013-02-08 17:00 UTC (History)
0 users

See Also:


Attachments
file.diff (2.14 KB, patch)
2012-12-14 13:10 UTC, Ruslan Makhmatkhanov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ruslan Makhmatkhanov freebsd_committer 2012-12-14 13:10:00 UTC
Build fails with clang (3.2 (trunk 162107))

network-locations.c:1141:3: error: void function 'gst_network_locations_delete_location' should not return a value [-Wreturn-type]
  g_return_val_if_fail (GST_IS_NETWORK_LOCATIONS (locations), FALSE);
  ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
/usr/local/include/glib-2.0/glib/gmessages.h:273:3: note: expanded from macro 'g_return_val_if_fail'
         return (val);                                                  \
         ^      ~~~~~
1 error generated.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-12-14 13:10:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Koop Mast freebsd_committer 2013-02-08 16:55:18 UTC
State Changed
From-To: open->closed

Comitted thanks!
Comment 3 dfilter service freebsd_committer 2013-02-08 16:55:20 UTC
Author: kwm
Date: Fri Feb  8 16:55:11 2013
New Revision: 311945
URL: http://svnweb.freebsd.org/changeset/ports/311945

Log:
  Fix build with clang.
  
  PR:		ports/174430
  Submitted by:	rm@

Added:
  head/sysutils/gnome-system-tools/files/patch-src_network_network-locations.c   (contents, props changed)
  head/sysutils/gnome-system-tools/files/patch-src_network_network-locations.h   (contents, props changed)

Added: head/sysutils/gnome-system-tools/files/patch-src_network_network-locations.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/gnome-system-tools/files/patch-src_network_network-locations.c	Fri Feb  8 16:55:11 2013	(r311945)
@@ -0,0 +1,11 @@
+--- ./src/network/network-locations.c.orig	2010-05-24 21:09:57.000000000 +0400
++++ ./src/network/network-locations.c	2012-12-14 16:44:29.000000000 +0400
+@@ -1131,7 +1131,7 @@
+   return result;
+ }
+ 
+-void
++gboolean
+ gst_network_locations_delete_location (GstNetworkLocations *locations,
+ 				       const gchar         *name)
+ {

Added: head/sysutils/gnome-system-tools/files/patch-src_network_network-locations.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/gnome-system-tools/files/patch-src_network_network-locations.h	Fri Feb  8 16:55:11 2013	(r311945)
@@ -0,0 +1,11 @@
+--- ./src/network/network-locations.h.orig	2010-05-24 21:09:57.000000000 +0400
++++ ./src/network/network-locations.h	2012-12-14 16:47:54.000000000 +0400
+@@ -62,7 +62,7 @@
+ 							      const gchar         *name);
+ gboolean               gst_network_locations_save_current    (GstNetworkLocations *locations,
+ 							      const gchar         *name);
+-void                   gst_network_locations_delete_location (GstNetworkLocations *locations,
++gboolean               gst_network_locations_delete_location (GstNetworkLocations *locations,
+ 							      const gchar         *name);
+ 
+ G_END_DECLS
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"